Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1552234 - radosgw ACL are not correctly working with Swift CLI
Summary: radosgw ACL are not correctly working with Swift CLI
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: ceph
Version: 12.0 (Pike)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: z2
: 12.0 (Pike)
Assignee: John Fulton
QA Contact: Yogev Rabl
URL:
Whiteboard:
Depends On: 1516099
Blocks: 1526222
TreeView+ depends on / blocked
 
Reported: 2018-03-06 18:48 UTC by John Fulton
Modified: 2018-03-09 01:29 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
There is currently a known issue where you cannot use ACLs to make a container public for anonymous access. This issue arises when sending `POST` operations to Swift that specify a '*' value in the `X-Container-Read` or `X-Container-Write` settings.
Clone Of: 1516099
Environment:
Last Closed: 2018-03-08 13:25:50 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 John Fulton 2018-03-06 18:50:52 UTC
This is a OSP bug cloned from Ceph bug #1516099 in order to have a known issue release note for OSP12.

Comment 2 John Fulton 2018-03-08 13:25:50 UTC
Closing this clone as wont fix as it served its purpose in that it provided the release note.


Note You need to log in before you can comment on or make changes to this bug.